Subject: Fwd: Re: mistake in RFC 3126

From: Russ Housley <[email-masked]>
Date: Mon, 17 Feb 2003 12:02:42 -0500

Please generate an errata for this mistake.  I made a mistake in the
note I sent a minute ago.  there should NOT be a comma after the
third OPTIONAL.

The correct ASN.1 is as follows:

RevocationValues ::=  SEQUENCE {

crlVals           [0]
SEQUENCE OF CertificateList     OPTIONAL,

ocspVals          [1]
SEQUENCE OF BasicOCSPResponse   OPTIONAL,

otherRevVals      [2]
OtherRevVals
OPTIONAL

}

Thanks,

Russ

Delivered-To:
[email-masked]

Delivered-To: [email-masked]

From: "Nystrom, Magnus" <[email-masked]>

Reply-To: "Nystrom, Magnus"
<[email-masked]>

To: Russ Housley <[email-masked]>

Date: Mon, 17 Feb 2003 10:20:07 +0100 (W. Europe Standard Time)

Subject: Re: mistake in RFC 3126

X-X-Sender: mnystrom@[10.81.217.7]

Russ,

It most certainly is. "OPTIONAL" is present in ETSI TS 101 733
V1.4.0

(2002-09).

-- Magnus

On Fri, 14 Feb 2003, Russ Housley wrote:

> This definitely looks like an error to me.

> Russ

> At 10:27 AM 2/13/2003 +0100, Petra Barzin wrote:

> >Hello,

> >I think there is a mistake in RFC 3126 - Electronic
Signature

> >Formats for long term electronic signatures. The definition of
the

> >RevocationValues attribute is as follows:

> >   RevocationValues ::=  SEQUENCE {

crlVals           [0]
SEQUENCE OF CertificateList     OPTIONAL,

ocspVals          [1]
SEQUENCE OF BasicOCSPResponse   OPTIONAL,

otherRevVals      [2] OtherRevVals

> >    }

> >Shouldn't the other revocation values be optional as well?

> >Did I miss something or am I right?

> >Best regards - Petra Barzin